%define module DateTime

Name:           perl-DateTime
# Bump epoch to 2 following base
%if %{rhel} >= 7
Epoch:          2
%else
Epoch:          1
%endif
Version:        1.55
Release:        1%{?dist}
Summary:        Date and time object
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DateTime/
Source0:        http://www.cpan.org/authors/id/D/DR/DROLSKY/DateTime-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# Build:
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76

BuildRequires:  perl(CPAN::Meta::Check) >= 0.011
BuildRequires:  perl(CPAN::Meta::Requirements)
BuildRequires:  perl(DateTime::Locale) >= 1.06
BuildRequires:  perl(DateTime::TimeZone) >= 2.44
BuildRequires:  perl(Dist::CheckConflicts) >= 0.02
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(namespace::autoclean) >= 0.19
BuildRequires:  perl(overload)
BuildRequires:  perl(Params::ValidationCompiler) >= 0.26
BuildRequires:  perl(parent)
BuildRequires:  perl(Specio) >= 0.18
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Warnings) >= 0.005
BuildRequires:  perl(warnings::register)
Requires:       perl(DateTime::Locale) >= 1.06
Requires:       perl(DateTime::TimeZone) >= 2.44
Requires:       perl(Dist::CheckConflicts) >= 0.02
Requires:       perl(namespace::autoclean) >= 0.19
Requires:       perl(overload)
Requires:       perl(Params::ValidationCompiler) >= 0.26
Requires:       perl(parent)
Requires:       perl(Specio) >= 0.18
Requires:       perl(Try::Tiny)
Requires:       perl(warnings::register)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
#AutoReqProv:    yes
# Avoid provides from DateTime.so
%{?perl_default_filter}

# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((DateTime::Locale|DateTime::TimeZone)\\)$

%description
DateTime is a class for the representation of date/time combinations, and
is part of the Perl DateTime project. For details on this project please
see http://datetime.perl.org/. The DateTime site has a FAQ which may help
answer many "how do I do X?" questions. The FAQ is at
http://datetime.perl.org/wiki/datetime/page/FAQ.

%prep
%setup -q -n DateTime-%{version}

%build
perl Makefile.PL \
  INSTALLDIRS=vendor \
  OPTIMIZE="%{optflags}" \
  NO_PACKLIST=1 \
  NO_PERLLOCAL=1
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CODE_OF_CONDUCT.md CONTRIBUTING.md Changes CREDITS LICENSE META.json META.yml README.md TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/DateTime*
%{_mandir}/man3/*

%changelog
* Tue Feb 08 2022 Gavin Carr <gavin@openfusion.net> 1.55-1
- Update to version 1.55.

* Thu Jul 24 2014 Gavin Carr <gavin@openfusion.com.au> 1.10-1
- Update to version 1.10.

* Mon May 14 2012 Gavin Carr <gavin@openfusion.com.au> 0.7400-1
- Bump to version 0.74.

* Fri Aug 12 2011 Gavin Carr <gavin@openfusion.com.au> 0.7000-2
- Change to epoch:1 for rhel5 as well.

* Thu Jul 21 2011 Gavin Carr <gavin@openfusion.com.au> 0.7000-1
- Update to version 0.70.
- Change to epoch:1 (for rhel6) and 4-digit version numbers to match base.

* Fri Apr 01 2011 Gavin Carr <gavin@openfusion.com.au> 0.66-1
- Specfile autogenerated by cpanspec 1.79.
